import { renderless, api } from '@opentinyvue/vue-renderless/toggle-menu/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';
import Input from '@opentinyvue/vue-input';
import Tree from '@opentinyvue/vue-tree';
import { iconSearch, iconChevronLeft, iconChevronRight } from '@opentinyvue/vue-icon';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  props: [].concat(props, ["accordion", "showCheckbox", "defaultCheckedKeys", "automaticFiltering", "data", "ellipsis", "expandOnClickNode", "draggable", "defaultExpandAll", "icon", "placeholder", "props", "showFilter", "wrap", "getMenuDataSync", "getMenuDataAsync"]),
  components: {
    TinyTree: Tree,
    TinyInput: Input,
    TinyIconSearch: iconSearch(),
    TinyIconChevronLeft: iconChevronLeft(),
    TinyIconChevronRight: iconChevronRight()
  },
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "tiny-toggle-menu",
    class: {
      "is-toggle-right": !_vm.state.toggleIcon && !_vm.state.showNode ? true : false
    }
  }, [_vm.showFilter ? _c("div", {
    staticClass: "tiny-toggle-menu__filter"
  }, [_c("tiny-input", {
    attrs: {
      "placeholder": _vm.state.placeholder
    },
    model: {
      value: _vm.state.filterText,
      callback: function callback($$v) {
        _vm.$set(_vm.state, "filterText", $$v);
      },
      expression: "state.filterText"
    }
  }), _c("span", {
    staticClass: "tiny-toggle-menu__filter-search"
  }, [_c("tiny-icon-search", {
    on: {
      "click": _vm.searchNodeText
    }
  })], 1)], 1) : _vm._e(), _c("div", {
    staticClass: "tiny-toggle-menu__wrap"
  }, [_c("div", {
    staticClass: "tiny-toggle-menu__toggle",
    class: {
      "tiny-toggle-menu__toggle-right": !_vm.state.toggleIcon && !_vm.state.showNode ? true : false
    },
    on: {
      "click": _vm.hideNodeText
    }
  }, [_vm.state.toggleIcon ? _c("tiny-icon-chevron-left") : _c("tiny-icon-chevron-right")], 1), _c("tiny-tree", {
    ref: "tree",
    class: {
      "is-wrap": !_vm.ellipsis ? _vm.wrap : false,
      "is-overflow": _vm.ellipsis,
      "is-node-hide": !_vm.state.showNode
    },
    attrs: {
      "show-checkbox": _vm.showCheckbox,
      "data": _vm.state.datas,
      "node-key": "id",
      "accordion": _vm.accordion,
      "default-checked-keys": _vm.defaultCheckedKeys,
      "icon": _vm.icon,
      "props": _vm.props,
      "default-expand-all": _vm.defaultExpandAll,
      "draggable": _vm.draggable,
      "expand-on-click-node": _vm.expandOnClickNode,
      "filter-node-method": _vm.filterNode
    },
    on: {
      "node-click": _vm.nodeClick,
      "node-expand": _vm.nodeExpand,
      "node-collapse": _vm.nodeCollapse,
      "node-drag-end": _vm.nodeDragEnd,
      "node-drag-enter": _vm.nodeDragEnter,
      "node-drag-leave": _vm.nodeDragLeave,
      "node-drag-over": _vm.nodeDragOver,
      "node-drag-start": _vm.nodeDragStart,
      "node-drop": _vm.nodeDrop
    },
    scopedSlots: _vm._u([{
      key: "default",
      fn: function fn(_ref) {
        var data = _ref.data;
        return [_c("div", {
          staticClass: "tiny-toggle-menu__link tiny-tree-node__label"
        }, [_c(data.icons, {
          tag: "component",
          staticClass: "tiny-tree-node__expand-icon"
        }), _c("a", {
          staticClass: "tiny-toggle-menu__body",
          attrs: {
            "title": data[_vm.props.label]
          },
          on: {
            "click": function click($event) {
              return _vm.clickA(data.url);
            }
          }
        }, [_c("span", {
          staticClass: "tiny-toggle-menu__name"
        }, [_vm._t("node", function() {
          return [_vm._v(" " + _vm._s(data[_vm.props.label]) + " ")];
        }, {
          "data": data,
          "label": data[_vm.props.label]
        })], 2)])], 1)];
      }
    }], null, true)
  })], 1)]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { pc as default };
